OD_extensionIO_t Struct Reference
CANopen_301 » OD interface » OD definition objects

Object pointed by OD_obj_extended_t contains application specified parameters for extended OD object. More...

`#include <CO_ODinterface.h>`

## Data Fields

void * | object
| Object on which read and write will operate.
OD_size_t(* | read )(OD_stream_t *stream, uint8_t subIndex, void *buf, OD_size_t count, ODR_t *returnCode)
| Application specified function pointer, see OD_IO_t.
OD_size_t(* | write )(OD_stream_t *stream, uint8_t subIndex, const void *buf, OD_size_t count, ODR_t *returnCode)
| Application specified function pointer, see OD_IO_t.

## Detailed Description

Object pointed by OD_obj_extended_t contains application specified parameters for extended OD object.

The documentation for this struct was generated from the following file:

- 301/CO_ODinterface.h